import { ProjectGraphDependency, ProjectGraphProjectNode } from '../config/project-graph';
import { TaskGraph } from 'nx/src/config/task-graph';
export interface DepGraphClientResponse {
    hash: string;
    projects: ProjectGraphProjectNode[];
    dependencies: Record<string, ProjectGraphDependency[]>;
    layout: {
        appsDir: string;
        libsDir: string;
    };
    affected: string[];
    focus: string;
    groupByFolder: boolean;
    exclude: string[];
}
export declare type TaskGraphDependencies = Record<string, Record<string, Record<string, TaskGraph>>>;
export interface TaskGraphClientResponse {
    dependencies: TaskGraphDependencies;
}
export declare function generateGraph(args: {
    file?: string;
    host?: string;
    port?: number;
    focus?: string;
    exclude?: string[];
    groupByFolder?: boolean;
    watch?: boolean;
    open?: boolean;
}, affectedProjects: string[]): Promise<void>;
